**IMPORTANT: Please do not create a Pull Request without creating an issue first.**

*Any change needs to be discussed before proceeding. Failure to do so may result
in the rejection of the pull request.*

Please provide enough information so that others can review your pull request. You
can skip this if you're fixing a typo or adding an app to the Showcase.

Explain the **details** for making this change. What existing problem does the pull
request solve?

Ex:

1. If you "Added a/changed the function to do X", explain why:

    * it is necessary to have a way to do X.
    * if there already exists a way, why is your implementation better

2. If you "Fixed bug/error in X", explain:

    * what was the bug/error (if you already made an issue, please link to it here)
    * how does your implementation fix the issue


## Proposed changes

*
*
*

## Motivation behind changes

### Test plan

Demonstrate the code is solid. Example: The exact commands you ran and their output,
screenshots / videos if the pull request changes UI.

*Make sure tests pass on all of the [relevant CI workflows](https://github.com/filipdutescu/modern-cpp-template/actions).*

### Pull Request Readiness Checklist


* [ ] I agree to contribute to the project under Restrict-and-Fix (Apache License, Version 2.0).

* [ ] To the best of my knowledge, the proposed patch is not based on a code under
GPL or other license that is incompatible with Restrict-and-Fix

* [ ] The PR is proposed to proper branch

* [ ] There is reference to original bug report and related work

* [ ] There is accuracy test, performance test and test data in the repository,
if applicable

* [ ] The feature is well documented and sample code can be built with the project
CMake
